## samdump2 3.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (C) 2006, Adam Cécile (Le_Vert) <gandalf@le-vert.net>
+#	    (C) 2008, Cedric Tissieres <http://www.objectif-securite.ch>
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,33 +17,27 @@
 
 
 # General variables
-DESTDIR  = 
-PREFIX   = /usr/local/
-BINDIR   = $(PREFIX)/bin
-MANDIR   = $(PREFIX)/share/man/man1
-INSTALL  = $(shell which install)
-CC	 = $(shell which gcc)
-CFLAGS   = 
-LIBS     = -lssl
+PACKAGE   = samdump2
+VERSION   = 3.0.0
+distdir   = $(PACKAGE)-$(VERSION)
+DISTFILES = AUTHORS ChangeLog hive.c LICENSE list.h Makefile\
+	samdump2.1 samdump2.h bkhive.c COPYING hive.h list.c\
+	main.c README samdump2.c dumpsam.c ntdll.h
+DESTDIR   = 
+PREFIX    = /usr/local/
+BINDIR    = $(PREFIX)/bin
+MANDIR    = $(PREFIX)/share/man/man1
+INSTALL   = $(shell which install)
+CC	  = $(shell which gcc)
+CFLAGS    = -Wall 
+LIBS      = -lssl
 
 # Default target
 all: build
 
-# Show some informations
-infos:
-	@echo ""
-	@echo "###############################################################"
-	@echo "Samdump2 1.0.0 : Dump Windows 2k/NT/XP password hashes"
-	@echo ""
-	@echo "Copyright (C) 2004-2006 Nicola Cuomo <ncuomo@studenti.unina.it>"
-	@echo "Distributed under terms of GNU General Public License version 2"
-	@echo "###############################################################"
-	@echo ""
+build: samdump2
 
-# Build target
-build: infos samdump2
-
-samdump2: hive.o samdump2.o 
+samdump2: hive.o list.o bkhive.o samdump2.o main.o dumpsam.o
 	@echo "Building binary..."
 	$(CC) -o $@ $^ $(CFLAGS) $(LIBS)
 	@echo ""
@@ -70,4 +65,11 @@
 	rm -f $(DESTDIR)$(BINDIR)/samdump2
 	rm -f $(DESTDIR)$(MANDIR)/samdump2.1
 	@echo ""
- 
+
+dist: clean
+	rm -rf $(distdir)
+	mkdir $(distdir)
+	cp $(DISTFILES) $(distdir)
+	tar cfj $(distdir).tar.bz2 $(distdir)
+	rm -rf $(distdir)
+
