=== debian/changelog ===
samdump2 (3.0.0-8) unstable; urgency=medium

  * Team Upload
  * Set "Rules-Requires-Root: no" & patch Makefile as needed.

  [ Debian Janitor ]
  * Remove unnecessary constraints
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 19:37:48 +0100

samdump2 (3.0.0-7) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Drop bkhive transitional package (Closes: #878861)
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 28 Nov 2019 17:54:35 +0100

samdump2 (3.0.0-6) unstable; urgency=medium

  * Adopt package under the pkg-security team's umbrella. Closes: #673963
  * Add Vcs-Git and Vcs-Browser fields.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Nov 2016 17:13:20 +0100

samdump2 (3.0.0-5) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/copyright: updated the packaging copyright data.
  * debian/patches/:
      - Renamed all patches to organize the folder.
      - Added a header to openssl.patch (now 50_openssl.patch).
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 22 Nov 2016 12:29:08 -0200

samdump2 (3.0.0-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with openssl 1.1.0. Thanks to Adrian Bunk. (Closes: #828537)
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Nov 2016 13:57:35 +0000

samdump2 (3.0.0-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Bumped the Standard-Version to 3.9.6.
  * debian/copyright:
      - Added email of Cedric Tissieres.
      - Added email of Bertrand Mesot.
      - Fixed Files: and Copyright: fields of list.* files.
      - Added Ansgar Burchardt to debian/* copyright.
      - Fixed Adam Cécile years copyright.
  * debian/rules:
      - Removed some extra comments.
      - Added DEB_BUILD_MAINT_OPTIONS for hardening.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 13 Aug 2015 21:13:00 -0300

samdump2 (3.0.0-2) unstable; urgency=medium

  * QA upload.
  * Fix breaks/replaces for bkhive.  Closes: #760723

 -- Unit 193 <unit193@ubuntu.com>  Mon, 08 Sep 2014 17:30:56 -0400

samdump2 (3.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - bkhive was merged into samdump2 upstream.  Closes: #673945
  * Add a transitional package for bkhive.
  * Merge packages descriptions.
  * Fix debian/watch.
  * Update debian/rules to dh sequencer.
  * Use debhelper 9.
  * Update Standards-Version to 3.9.5
  * Update to source format 3.0 (quilt).
  * Update debian/copyright to format 1.0.
  * d/patches/manpage_formatting.patch: Make the manpage easier to read,
    point to the 'GPL-2' rather than 'GPL' on Debian systems,
    bad wathis manpage entry.
  * Add install_infos.patch: fixes install target.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 31 Jul 2014 00:44:51 -0400

samdump2 (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Link with -lcrypto instead of -lssl. (Closes: #556335)
  * debian/rules: Use dh_prep instead of dh_clean -k.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 04 Jun 2011 09:56:51 +0200

samdump2 (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch (Closes: #453564).
  * Fix wathis manpage entry (bad SH NAME section).
  * Move homepage to new dpkg field.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 02 Dec 2007 14:54:59 +0100

samdump2 (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #392905).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 14 Oct 2006 07:10:23 +0200
