=== debian/control ===
Source: samdump2
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 13), libssl-dev
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://ophcrack.sourceforge.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/samdump2.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/samdump2

Package: samdump2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ophcrack
Description: Dump Windows 2k/NT/XP password hashes
 This tool is designed to dump Windows 2k/NT/XP password hashes from a SAM
 file, using the syskey bootkey from the system hive.
 .
 This package also provides the functionality of bkhive, which recovers the
 syskey bootkey from a Windows NT/2K/XP system hive.
 .
 Syskey is a Windows feature that adds an additional encryption layer to the
 password hashes stored in the SAM database.
