=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install --destdir debian/samdump2/
