=== debian/watch ===
version=4
https://sf.net/ophcrack/samdump2-(.+)\.tar\.(?:xz|gz|bz2)
